function classes(obj) {
  var out = '';
  if (typeof obj === 'string' || typeof obj === 'number') return String(obj) || '';

  if (Array.isArray(obj)) {
    for (var k = 0; k < obj.length; k += 1) {
      var tmp = classes(obj[k]);
      if (tmp !== '') out += (out && ' ') + tmp;
    }
  } else {
    Object.entries(obj).forEach(function (_ref) {
      var key = _ref[0],
          value = _ref[1];

      if (Object.prototype.hasOwnProperty.call(obj, key) && value) {
        out += (out && ' ') + key;
      }
    });
  }

  return out;
}

var bem = function bem(block) {
  if (block === void 0) {
    block = 'block';
  }

  return function (element, modifier) {
    var blockEl = block;
    if (element) blockEl = blockEl + "__" + element;
    if (modifier) blockEl = blockEl + "--" + modifier;

    for (var _len = arguments.length, others = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      others[_key - 2] = arguments[_key];
    }

    return classes([blockEl].concat(others));
  };
};

exports.c = classes;
exports.default = bem;
//# sourceMappingURL=index.js.map
